# Class TranslocationReport

java.lang.Object
org.snpeff.stats.TranslocationReport

public class TranslocationReport extends Object
Pojo for translocation reports

Author:
  pcingola

## Constructor Summary

Constructors
Constructor
Description
`TranslocationReport(VariantBnd var, VcfEffect veff, Transcript tr1, Transcript tr2)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getChr1()`
`String`
`getChr2()`
`String`
`getGeneName1()`
`String`
`getGeneName2()`
`String`
`getHgvsC()`
`String`
`getHgvsP()`
`String`
`getImpact()`
`String`
`getIndex()`
`int`
`getPos1OneBased()`
Get position (as one-based coordinates)
`int`
`getPos2OneBased()`
Get position (as one-based coordinates)
`String`
`getSvgPlot()`
`String`
`getTrId1()`
`String`
`getTrId2()`
`String`
`getVariantEffect()`
`String`
`getVcfEffect()`
`void`
`setSvgPlot(String svgPlot)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TranslocationReport

public TranslocationReport(VariantBnd var, VcfEffect veff, Transcript tr1, Transcript tr2)

## Method Details

### getChr1

public String getChr1()

### getChr2

public String getChr2()

### getGeneName1

public String getGeneName1()

### getGeneName2

public String getGeneName2()

### getHgvsC

public String getHgvsC()

### getHgvsP

public String getHgvsP()

### getImpact

public String getImpact()

### getIndex

public String getIndex()

### getPos1OneBased

public int getPos1OneBased()
Get position (as one-based coordinates)

### getPos2OneBased

public int getPos2OneBased()
Get position (as one-based coordinates)

### getSvgPlot

public String getSvgPlot()

### getTrId1

public String getTrId1()

### getTrId2

public String getTrId2()

### getVariantEffect

public String getVariantEffect()

### getVcfEffect

public String getVcfEffect()

### setSvgPlot

public void setSvgPlot(String svgPlot)